<?php

if ( $TimeZone_INCLUDED != 1 )
{
  $TimeZone_INCLUDED = 1;

  class TimeZone
  {
    var $timezone;
    var $list;

    function TimeZone( $c )
    { 
      global $lang;
      if ( $lang != "fr" && $lang != "FR" )
      {
        // ENGLISH VERSION

        $lang         = "en";

        $this->list   = array(

"ADT"  => "(+0300) Atlantic Daylight",
"AST"  => "(+0400) Atlantic Standard",
"CDT"  => "(+0500) Central Daylight",
"CST"  => "(+0600) Central Standard",
"EDT"  => "(+0400) Eastern Daylight",
"EST"  => "(+0500) Eastern Standard",
"MDT"  => "(+0600) Mountain Daylight",
"MST"  => "(+0700) Mountain Standard",
"PDT"  => "(+0700) Pacific Daylight",
"PST"  => "(+0800) Pacific Standard",
"AHDT" => "(+0900) &nbsp;",
"AHST" => "(+1000) &nbsp;",
"ACDT" => "(-1030) Australian Central Daylight",
"ACST" => "(-0930) Australian Central Standard",
"AEDT" => "(-1100) Australian East Daylight",
"AEST" => "(-1000) Australian East Standard",
"AWDT" => "(-0900) Australian West Daylight",
"AWST" => "(-0800) Australian West Standard",
"AT"   => "(+0200) Azores",
"BAT"  => "(-0300) Baghdad",
"BT"   => "(-0300) Baghdad",
"BET"  => "(+1100) Bering Standard",
"BZT2" => "(+0300) Brazil Zone 2",
"BDST" => "(-0200) British Double Summer",
"BST"  => "(-0100) British Summer",
"CAT"  => "(+1000) Central Alaska",
"CADT" => "(-1030) Central Australian Daylight",
"CAST" => "(-0930) Central Australian Standard",
"CED"  => "(-0200) Central European Daylight",
"CET"  => "(-0100) Central European",
"CCT"  => "(-0800) China Coast",
"EAST" => "(-1000) Eastern Australian Standard",
"EEST" => "(-0300) Eastern Europe Summer",
"EET"  => "(-0200) Eastern Europe",
"EED"  => "(-0300) Eastern European Daylight",
"FST"  => "(-0200) French Summer",
"FWT"  => "(-0100) French Winter",
"GMT"  => "(+0000) Greenwich Mean",
"GST"  => "(-1000) Guam Standard",
"HDT"  => "(+0900) Hawaii Daylight",
"HST"  => "(+1000) Hawaii Standard",
"IST"  => "(-0530) Indian Standard",
"IDLE" => "(-1200) Internation Date Line East",
"IDLW" => "(+1200) Internation Date Line West",
"IT"   => "(-0330) Iran",
"JST"  => "(-0900) Japan Standard",
"JT"   => "(-0700) Java",
"KST"  => "(-0900) Korean Standard",
"MED"  => "(-0200) Middle European Daylight",
"MEST" => "(-0200) Middle European Summer",
"MEWT" => "(-0100) Middle European Winter",
"MET"  => "(-0100) Middle European",
"MT"   => "(-0800) Moluccas",
"NZDT" => "(-1300) New Zealand Daylight",
"NZST" => "(-1200) New Zealand Standard",
"NZT"  => "(-1200) New Zealand",
"NZ"   => "(-1100) New Zealand",
"NDT"  => "(+0230) Newfoundland Daylight",
"NFT"  => "(+0330) Newfoundland",
"NT"   => "(+1100) Nome",
"NST"  => "(-0630) North Sumatra",
"ROK"  => "(-0900) Republic of Korea",
"SAD"  => "(-1000) South Australia Daylight",
"SDT"  => "(-1000) South Australia Daylight",
"SAST" => "(-0900) South Australia Standard",
"SAT"  => "(-0900) South Australia",
"SST"  => "(-0200) Swedish Summer",
"SWT"  => "(-0100) Swedish Winter",
"UTC"  => "(+0000) Universal Coordinated",
"UT"   => "(+0000) Universal Coordinated",
"UZ10" => "(-1100) USSR Zone 10",
"ZP4"  => "(-0400) USSR Zone 3",
"USZ3" => "(-0400) USSR Zone 3",
"ZP5"  => "(-0500) USSR Zone 4",
"USZ4" => "(-0500) USSR Zone 4",
"ZP6"  => "(-0600) USSR Zone 5",
"USZ5" => "(-0600) USSR Zone 5",
"USZ6" => "(-0700) USSR Zone 6",
"WAT"  => "(+0100) West Africa",
"WST"  => "(-0800) West Australian Standard",
"WET"  => "(+0000) West European",
"YDT"  => "(+0800) Yukon Daylight",
"YST"  => "(+0900) Yukon Standard"
        );
      }
      else // FRENCH VERSION
      {
        $lang         = "fr";
        $this->list   = array(
"ADT"  => "(+0300) Heure d't   dans l'Atlantique", 
"AST"  => "(+0400) Heure normale dans l'Atlantique", 
"CDT"  => "(+0500) Heure d't   dans le Centre des tats-Unis", 
"CST"  => "(+0600) Heure normale dans le Centre des tats-Unis", 
"EDT"  => "(+0400) Heure d't   dans l'Est     des tats-Unis", 
"EST"  => "(+0500) Heure normale dans l'Est     des tats-Unis",
"MDT"  => "(+0600) Heure d't   dans les Montagnes",
"MST"  => "(+0700) Heure normale dans les Montagnes", 
"PDT"  => "(+0700) Heure d't   dans le Pacifique", 
"PST"  => "(+0800) Heure normale dans le Pacifique", 
"AHDT" => "(+0900) &nbsp;",
"AHST" => "(+1000) &nbsp;",
"ACDT" => "(-1030) Heure d't   dans le Centre de l'Australie",
"ACST" => "(-0930) Heure normale dans le Centre de l'Australie",
"AEDT" => "(-1100) Heure d't   dans l'Est     de l'Australie",
"AEST" => "(-1000) Heure normale dans l'Est     de l'Australie",
"AWDT" => "(-0900) Heure d't   dans l'Ouest   de l'Australie",
"AWST" => "(-0800) Heure normale dans l'Ouest   de l'Australie",
"AT"   => "(+0200) Azores",
"BAT"  => "(-0300) Bagdad",
"BT"   => "(-0300) Bagdad",
"PARI" => "(+1100) Heure normale de Bering",
"BZT2" => "(+0300) Zone 2 du Brsil",
"BDST" => "(-0200) Heure d't double Britannique",
"BST"  => "(-0100) Heure d't Britannique",
"CAT"  => "(+1000) Alaska centrale",
"CADT" => "(-1030) Heure d't   en Australie centrale",
"CAST" => "(-0930) Heure normale en Australie centrale",
"CED"  => "(-0200) Heure d't   en Europe centrale",
"CET"  => "(-0100) Heure normale en Europe centrale", 
"CCT"  => "(-0800) Cte de la Chine",
"EAST" => "(-1000) Heure normale dans l'est de l'Australie",
"EEST" => "(-0300) Heure d't   en Europe de l'Est",
"EET"  => "(-0200) Heure normale en Europe de l'Est",
"EED"  => "(-0300) Heure d't   en Europen Oriental",
"FST"  => "(-0200) Heure d't   en France",
"FWT"  => "(-0100) Heure d'hiver en France",
"GMT"  => "(+0000) Heure standard  Greenwich ",
"GST"  => "(-1000) Heure normale de la Guam",
"HDT"  => "(+0900) Heure d't   Hawaenne",
"HST"  => "(+1000) Heure normale Hawaenne",
"IST"  => "(-0530) Heure normale Indienne",
"IDLE" => "(-1200) Ligne de date d'Internation de l'Est",
"IDLW" => "(+1200) Ligne de date d'Internation de l'Ouest",
"IL"   => "(-0330) Iran",
"JST"  => "(-0900) Heure normale au Japon",
"JT"   => "(-0700) Java",
"KST"  => "(-0900) Heure normale Corenne",
"MED"  => "(-0200) Heure d't   en Europe Moyen",
"MEST" => "(-0200) Heure d't   en Europe Moyen",
"MEWT" => "(-0100) Heure d'hiver en Europe Moyen",
"MET"  => "(-0100) Heure normale en Europe Moyen",
"MT"   => "(-0800) Moluccas",
"NZDT" => "(-1300) Heure d't            en Nouvelle-Zlande",
"NZST" => "(-1200) Nouvelle heure normale en Nouvelle-Zlande ",
"NZT"  => "(-1200) Nouvelle-Zlande",
"NZ"   => "(-1100) Nouvelle-Zlande",
"NDT"  => "(+0230) Heure d't en de Terre-Neuve",
"NFT"  => "(+0330) Terre-Neuve",
"NT"   => "(+1100) Nome",
"NST"  => "(-0630) Sumatra du nord",
"ROK"  => "(-0900) Rpublique de la Core",
"SAD"  => "(-1000) Heure d't   au sud de l'Australie",
"SDT"  => "(-1000) Heure d't   au sud de l'Australie",
"SAST" => "(-0900) Heure normale au sud de l'Australie",
"SAT"  => "(-0900) Australie du sud",
"SST"  => "(-0200) Heure d't Sudois",
"SWT"  => "(-0100) Heure d'hiver Sudois",
"UTC"  => "(+0000) Coordonne Universelle",
"UT"   => "(+0000) Coordonne Universelle",
"UZ10" => "(-1100) Zone 10 de la Russie",
"ZP4"  => "(-0400) Zone  3 de la Russie",
"USZ3" => "(-0400) Zone  3 de la Russie",
"ZP5"  => "(-0500) Zone  4 de la Russie",
"USZ4" => "(-0500) Zone  4 de la Russie",
"ZP6"  => "(-0600) Zone  5 de la Russie",
"USZ5" => "(-0600) Zone  5 de la Russie",
"USZ6" => "(-0700) Zone  6 de la Russie",
"WAT"  => "(+0100) Afrique Occidentale",
"WST"  => "(-0800) L'heure normale dans l'ouest de l'Australie",
"WET"  => "(+0000) L'heure normal  dans l'ouest Europen",
"YDT"  => "(+0800) Heure d't   au Yukon",
"YST"  => "(+0900) Heure normale au Yukon", 
        );
      }

      $this->timezone = $c;      
    }

    function setTimeZone( $c )
    {
      $this->timezone = $c;
    }

    function getTimeZone()
    {
      return $this->timezone;
    }

    function displayName()
    {
      echo $list[ $this->timezone ];
    }  

    function displaySigle()
    {
      echo $this->timezone;
    }  

    function displayList( $sel, $size, $tab )
    {
      global $mode;

      if ( $mode == 1 || $mode == 2 )
      {
?>
<select name="timezone" 
style="width:<?php echo $size; ?>"
tabindex="<?php echo $tab; ?>">

<?php
        foreach( $this->list AS $index => $value )
        {
          if ( $index == $sel )
          {
            $selected = " SELECTED ";
          }
          else
          {
            $selected = "";
          }

          echo "<option value=\"". $index ."\" $selected >";

//        echo "(".$index.") ";

          echo  $value . "</option>";
        }

        echo "</select>";
      }
      else if ( $mode == 3 )
      {
?><NOBR><font size="4" color="black"><?php

        if ( $sel == "" ) $sel = "300";

        echo $this->list[ $sel ];

        ?></font></NOBR><?php
      }
    }
  }
}

?>
